### Method

# Adw AboutWindow set_application_icon

deprecated: 1.6 since: 1.2

#### Declaration [src]

    void
    adw_about_window_set_application_icon (
      AdwAboutWindow* self,
      const char* application_icon
    )

#### Description [src]

Sets the name of the application icon for `self`.

The icon is displayed at the top of the main page.

Available since: 1.2

Deprecated since: 1.6

Use `AdwAboutDialog`.

Sets property | `Adw.AboutWindow:application-icon`

#### Parameters

`application_icon`

  Type: `const char*`

  The application icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.